Subject: bug#33778: guix copy fails

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 17 Dec 2018 19:40:12 +0100

I’m trying to copy a system to my weak i686 system on which I couldn’t
build it.  Here’s the command I tried along with the backtrace I get:

--8<---------------cut here---------------start------------->8---
~/dev/gx/branches/master/pre-inst-env guix copy --to=elephly.net:1022 /gnu/store/b10q1d2hks78i6vbjwrf71xxsyc1xb95-system
Backtrace:
           8 (apply-smob/1 #<catch-closure 1194140>)
In ice-9/boot-9.scm:
    705:2  7 (call-with-prompt _ _ #<procedure default-prompt-handler (k proc)>)
In ice-9/eval.scm:
    619:8  6 (_ #(#(#<directory (guile-user) 1226140>)))
In guix/ui.scm:
  1603:12  5 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9  4 (catch srfi-34 #<procedure 147d040 at guix/ui.scm:615:2 ()> #<procedure 7f4939f53498 at guix/ui.scm:6…> …)
    829:9  3 (catch system-error #<procedure 147d0e0 at guix/scripts/copy.scm:163:2 ()> #<procedure 7f4939f534b0 a…> …)
In guix/scripts/copy.scm:
    80:27  2 (send-to-remote-host _ _)
In guix/ssh.scm:
   281:18  1 (send-files #<build-daemon 256.99 1803f50> _ _ #:recursive? _ #:log-port _)
In unknown file:
           0 (length #<unspecified>)

ERROR: In procedure length:
In procedure length: Wrong type argument in position 1: #<unspecified>
--8<---------------cut here---------------end--------------->8---

--
Ricardo